org.apache.ivy.core.pack

## Class PackagingManager

- java.lang.Object
- - org.apache.ivy.core.pack.PackagingManager

All Implemented Interfaces:
  IvySettingsAware

    public class PackagingManager
    extends java.lang.Object
    implements IvySettingsAware

### Constructor Summary

Constructors
Constructor and Description
`PackagingManager()`

### Method Summary

Methods
`Artifact` `getUnpackedArtifact(Artifact artifact)`
`void` `setSettings(IvySettings settings)`
`void` `unpackArtifact(Artifact artifact, java.io.File localFile, java.io.File archiveFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackagingManager

    public PackagingManager()

### Method Detail

#### setSettings

    public void setSettings(IvySettings settings)

Specified by:
  `setSettings` in interface `IvySettingsAware`

#### getUnpackedArtifact

    public Artifact getUnpackedArtifact(Artifact artifact)

#### unpackArtifact

    public void unpackArtifact(Artifact artifact,
                      java.io.File localFile,
                      java.io.File archiveFile)
                        throws java.io.IOException

Throws:
  `java.io.IOException`